#ifndef ACCTEXTRA_API_H
#define ACCTEXTRA_API_H

#include <module_apis/acctextra_apidef.h>
static const char ACCTEXTRA_API_KEY[]="acctextra";
static const int  ACCTEXTRA_API_REV=1;

inline ACCTEXTRA_API *acctextra_api_init(const char *client)
{
	return (ACCTEXTRA_API*)module_get_api (ACCTEXTRA_API_KEY,ACCTEXTRA_API_REV
		,client);
}

inline void acctextra_api_end(ACCTEXTRA_API *api)
{
	module_release_api (ACCTEXTRA_API_KEY,(void*)api);
}

inline bool acctextra_api_available(const char *client)
{
	return module_api_available (ACCTEXTRA_API_KEY,ACCTEXTRA_API_REV,client);
}


#endif

